JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const tag of client.tags.list()) {
console.log(tag.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.tags.list()
page = page.data[0]
print(page.id)curl --request GET \
--url https://api.avidoai.com/v0/tags \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"status": "ACTIVE",
"description": "Tag for API-related documentation"
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 100,
"totalPages": 4,
"totalCount": 100
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Tags
List tags
Retrieves a paginated list of tags with optional search filtering.
GET
/
v0
/
tags
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const tag of client.tags.list()) {
console.log(tag.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.tags.list()
page = page.data[0]
print(page.id)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, name, status, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Search in tag name and description
Example:
"API"
⌘I